<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Dineros extends CI_Controller {

	public function __construct() {
		parent::__construct();
		if (!$this->Usuario->try()) {
			redirect('login');
		}

		// Load form helper library
		$this->load->helper('form');

		// Load form validation library
		$this->load->library('form_validation');

		// Load database
		$this->load->model('Dinero_model', 'Dinero', true);
	}

	/**
	 * Muestra listado de ingresos/gastos ordenados por fecha
	 * En la parte superior existe un formulario para agregar un nuevo ingreso/gasto
	 */
	public function index() {
		//Se consultan proveedores ordenados por nombre
		$data['dineros'] = $this->Dinero->get_all();
		$data['view'] = 'dineros/index';
		$data['title'] = 'Dineros';
		$data['content'] = $this->load->view('dineros/index', $data , true);
		$this->load->view('default', $data);
	}

	/*
	 * Entrega información del dinero por id
	 */
	public function get() {
		if (!empty($this->input->post('id'))) {
			$result = $this->Dinero->get($this->input->post('id'));
		}
		else if(!empty($this->input->get('id'))) {
			$result = $this->Dinero->get($this->input->get('id'));
		}
		else {
			$result['error'] = TRUE;
		}
		echo json_encode($result);
	}

	public function save() {
		//Se revisa si se está creando un ingreso/gasto
		if ($this->input->post('nombre')) {
			$result = $this->Dinero->save($_POST);
			echo json_encode($result);
		}
	}

	/**
	 * Elimina un dinero de la lista, llevandolo a deleted 1
	 */
	public function delete() {
		if ($this->input->post('id')) {
			$result = $this->Dinero->delete($this->input->post('id'));
			return true;
			die;
		}
		return false;
	}

	public function recalcular() {
		$result = $this->Dinero->recalcularTotal();
		prx($result);
		
	}
}
